Subject: newsweek story - quick question

From: "Carmichael, Mary" <[email-masked]>
Date: Tue, 30 Jan 2007 13:56:49 -0500

Hi there -- I'm working on a quick story for Newsweek about this year's Darwin Day celebrations, and I see that the Discovery Institute, of all places, is sponsoring something for the first time. Is there anyone at DDC who could speak with me briefly on this today or tomorrow? I'm reachable at either of the numbers below or at this email address. Thanks so much, 

Mary

-- 
Mary Carmichael
General Editor for health and science, Newsweek
work 617.425.0077 ext. 13
cell 617.413.3543